<!--pre-loading state-->
<div class="card mb-3" *ngIf="isLoading">
  <div class="card-body">
    <div class="ph-col-12">
      <div class="ph-row">
        <div class="ph-col-2 big"></div>
        <div class="ml-3 ph-col-2 big"></div>
        <div class="ml-3  ph-col-2 big"></div>
      </div>
      <div class="ph-row">
        <div class="ph-col-2 big"></div>
        <div class="ml-3 ph-col-2 big"></div>
        <div class="ml-3  ph-col-2 big"></div>
        <div class="ml-3  ph-col-2 big"></div>
      </div>
      <div class="ph-row">
        <div class="ph-col-2 big"></div>
      </div>
      <div class="ph-row">
      </div>
      <div class="ph-row">
        <div class="ph-col-8 big"></div>
      </div>
    </div>
  </div>
</div>
<!--end pre-loading state-->


<div class='card' *ngIf="!isLoading">
  <div class='card-body text-secondary'>
    <div class='row'>
      <div class="col-lg-8 col-md-6 col-12">
        <div class="card-body-title"><h4><span [translate]="'CoursesLocal.CourseElements'"></span></h4></div>
      </div>
      <div class="col-lg-2 col-md-3 col-6" align="right">
        <button type="button" class="btn btn-outline-secondary  rounded text-secondary btn-more btn-block  p-2 mb-2 d-none d-md-block"><i class="fa fa-flag-checkered pr-2"></i> <span
          [translate]="'CoursesLocal.Schedule'"></span></button>
      </div>
      <div class="col-lg-2 col-md-3 col-6" align="right">
        <button type="button" class="btn btn-outline-secondary  rounded text-secondary btn-more btn-block p-2 mb-2 d-none d-md-block"><i class="fa fa-flag-checkered pr-2"></i> <span
          [translate]="'CoursesLocal.Elearning'"></span></button>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <div class="row justify-content-start mb-2">
          <div class="col-auto"><i
            class=" fa fa-user-secret pr-2"></i>  {{selectedClass?.period.alternateName | translate}} {{selectedClass?.year?.alternateName}}
          </div>
          <div class='col-auto'><i class="fa fa-user-secret pr-2"></i>   {{ selectedClass?.numberOfStudents }}  <span [translate]="'CoursesLocal.Students'" ></span>  </div>
          <div class='col-auto'><i class="fa fa-user-secret pr-2"></i>   {{ selectedClass?.course.department.name }}
          </div>
          <div class="col-auto">
                      <span *ngIf="selectedClass?.sections.length == 0; else Show">
                        <i class="fa fa-user-secret pr-2"></i>
                        <span  [translate]="'CoursesLocal.SectionNotFound'"></span>
                      </span>
            <ng-template #Show>
              <i class="fa fa-user-secret"></i>
              <span class="pl-2" *ngFor="let section of selectedClass?.sections; let isLast=last">
                         {{ section.name }}{{isLast ? '' : ', '}}
                        </span>
            </ng-template>
          </div>
        </div>
        <div class="row justify-content-start mb-2">
          <div class="col-auto"><i class=" fa fa-flag-checkered pr-2"></i>   {{selectedClass?.course?.displayCode}}
          </div>
          <div class='col-auto'>
            <div *ngIf="selectedClass?.course?.isShared === 0; else shared"><i class="fa fa-user-secret pr-2"></i> <span
              [translate]="'CoursesLocal.SharedCourse'"></span></div>
            <ng-template #shared><i class="fa fa-user-secret pr-2"></i>  {{ selectedClass?.numberOfStudents }}<span [translate]="'CoursesLocal.Students'" ></span></ng-template>
          </div>
          <div class='col-auto'>
            <div *ngIf="selectedClass?.course?.units  && selectedClass?.course?.units.length > 0; else noUnits">
              <i class="fa fa-user-secret pr-2"></i> <span
                [translate]="'CoursesLocal.Units'"></span> {{ selectedClass?.course?.units}}    </div>
            <ng-template #noUnits><i class="fa fa-user-secret pr-2"></i>  <span [translate]= "'CoursesLocal.Units'"></span> <span class="pl-2"[translate]= "'CoursesLocal.NoUnits'"></span></ng-template>
          </div>

          <div class='col-auto'><span
            [translate]="'CoursesLocal.Ects'"></span> {{ selectedClass?.course?.ects }}                  </div>
        </div>
        <div class="row justify-content-start mb-2">
          <div class="col-auto">
            <i class="fa fa-user-secret pr-2"></i>
            <span  *ngFor="let instructor of selectedClass?.instructors; let isLast=last">
                         {{ instructor.instructor.familyName }} {{ instructor.instructor.givenName }}{{isLast ? '' : ', '}}
                        </span>
          </div>
        </div>
      </div>
    </div>
    <div class="row d-md-none mt-3">
      <div class="col-6">
        <button type="button" class="mr-0 ml-0 btn btn-outline-secondary  rounded text-secondary btn-more btn-block"><i class="fa fa-flag-checkered pr-2"></i> <span
          [translate]="'CoursesLocal.Schedule'"></span></button>
      </div>
      <div class="col-6">
        <button type="button" class="mr-0 ml-0 btn btn-outline-secondary  rounded text-secondary btn-more btn-block"><i class="fa fa-flag-checkered pr-2"></i> <span
          [translate]="'CoursesLocal.Elearning'"></span></button>
      </div>
    </div>
  </div>
</div>
